Package: org.grails.plugins.codecs

## [Groovy] Class CodecsGrailsPlugin

- org.grails.plugins.codecs.CodecsGrailsPlugin

-     class CodecsGrailsPlugin
      extends Plugin

  Configures pluggable codecs.

  Authors:
    Jeff Brown
  Since:
    0.4

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Object` | `dependsOn` |
    `private java.lang.Object` | `providedArtefacts` |
    `private java.lang.Object` | `version` |
    `private java.lang.Object` | `watchedResources` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Plugin` | `applicationContext, artefacts, enabled, environment, grailsApplication, plugin, pluginManager`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `dependsOn`
    `java.lang.Object` | `providedArtefacts`
    `java.lang.Object` | `version`
    `java.lang.Object` | `watchedResources`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CodecsGrailsPlugin ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`

- - ### Field Detail

    - #### private java.lang.Object dependsOn

    - #### private java.lang.Object providedArtefacts

    - #### private java.lang.Object version

    - #### private java.lang.Object watchedResources

  - ### Property Detail

    - #### java.lang.Object dependsOn

    - #### java.lang.Object providedArtefacts

    - #### java.lang.Object version

    - #### java.lang.Object watchedResources

  - ### Constructor Detail

    - #### CodecsGrailsPlugin()